Skip to main content
GET
/
allocations
/
{id}
/
dates
Get allocation dates
curl --request GET \
  --url https://www.ruddr.io/api/workspace/allocations/{id}/dates \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://www.ruddr.io/api/workspace/allocations/{id}/dates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://www.ruddr.io/api/workspace/allocations/{id}/dates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "date": "2026-06-16",
      "hours": 6.5,
      "costCurrency": "USD",
      "costPerHour": 85,
      "isWorkingDay": true
    },
    {
      "date": "2026-06-17",
      "hours": null,
      "costCurrency": "USD",
      "costPerHour": 85,
      "isWorkingDay": false
    }
  ],
  "hasMore": false
}
A resource allocation for a member or placeholder.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The allocation uuid.

Query Parameters

start
string<date>

A filter in the format YYYY-MM-DD. This will match dates on and after (>=) the date specified. If only end is provided, start will default to 1000 days before end.

end
string<date>

A filter in the format YYYY-MM-DD. This will match dates on and before (<=) the date specified.

Response

200

results
object[]

The list of results for the current page.

hasMore
boolean

Whether there are more results available after this page.